#include <afxwin.h>
#include "resource.h"

class MyWindow:public CFrameWnd
{
public:
	MyWindow()
	{
		Create(NULL,"CFile Usage",WS_OVERLAPPEDWINDOW,rectDefault,NULL,MAKEINTRESOURCE(IDR_MENU1));
	}

	void OnWrite()
	{
		//Data to be written into Archive
		CPoint	cp(100,200);
		CString	cs("Hello World");
		CRect	cr(1,1,50,50);
		

		CFile *cf=new CFile;
		cf->Open("b.dat",CFile::modeWrite|CFile::modeCreate);
		CArchive ar(cf,CArchive::store);

		ar<<cp;
		ar<<cs;
		ar<<cr;

		ar.Close();
		cf->Close();
		MessageBox("Data Written into File");
	}

	void OnRead()
	{
		CPoint	cp;
		CString	cs;
		CRect	cr;

		char		str[50];
		CClientDC	dc(this);

		CFile *cf=new CFile;
		cf->Open("b.dat",CFile::modeRead);
		CArchive ar(cf,CArchive::load);

		ar>>cp;
		ar>>cs;
		ar>>cr;

		ar.Close();
		cf->Close();

		wsprintf(str,"X:%d, Y:%d",cp.x,cp.y);
		dc.TextOut(10,10,str);
		
		wsprintf(str,"Left:%d, Right:%d, Top:%d Bottom:%d",cr.left,cr.right,cr.top,cr.bottom);
		dc.TextOut(10,30,str);

		dc.TextOut(10,50,cs);
	}

	void OnQuit()
	{
		PostQuitMessage(0);
	}

	DECLARE_MESSAGE_MAP()
};
BEGIN_MESSAGE_MAP(MyWindow,CFrameWnd)
	ON_COMMAND(ID_WRITE,OnWrite)
	ON_COMMAND(ID_READ,OnRead)
	ON_COMMAND(ID_QUIT,OnQuit)
END_MESSAGE_MAP()


class MyApp:public CWinApp
{
public:
	BOOL InitInstance()
	{
		MyWindow *obj;
		obj=new MyWindow;
		m_pMainWnd=obj;
		obj->ShowWindow(3);
		return TRUE;
	}
};
MyApp TheApp;
